Package: org.codehaus.groovy.vmplugin

## [Java] Interface VMPlugin

- Interface to access VM version based actions. This interface is for internal use only!

  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configureAnnotation(AnnotationNode an)`
    `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `Class[]` | `getPluginDefaultGroovyMethods()`
    `Class[]` | `getPluginStaticGroovyMethods()`
    `void` | `invalidateCallSites()`
    `void` | `setAdditionalClassInformation(ClassNode c)`

- - ### Method Detail

    - #### public void configureAnnotation(AnnotationNode an)

    - #### public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

    - #### public Class[] getPluginDefaultGroovyMethods()

    - #### public Class[] getPluginStaticGroovyMethods()

    - #### public void invalidateCallSites()

    - #### public void setAdditionalClassInformation(ClassNode c)